%{!?drupal6: %global drupal6 %{_datadir}/drupal6}
%{!?drupal6_modules: %global drupal6_modules %{drupal6}/sites/all/modules}

%global module_name userpoints

Name:      drupal6-%{module_name}
Version:   1.2
Release:   5%{?dist}
Summary:   Provides an API for users to gain or lose points

Group:     Applications/Publishing
License:   GPLv2
URL:       http://drupal.org/project/%{module_name}
Source0:   http://ftp.drupal.org/files/projects/%{module_name}-6.x-%{version}.tar.gz
Source1:   %{name}-RPM-README.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:  drupal6
Requires:  drupal6-rules
#Requires:  drupal6(rules)
# phpci
Requires:  php-date

Provides:  drupal6(%{module_name}) = %{version}
Provides:  drupal6(%{module_name}_rules) = %{version}
Provides:  drupal6(%{module_name}_service) = %{version}

%description
This module provides an API for users to gain or lose points for performing
certain actions on your site.

In conjunction with other modules, such as the Userpoints Nodes and Comments
(http://drupal.org/project/userpoints_nc) users can accumulate points for
actions such as posting nodes, commenting or moderation duties.

Use one of the many contributed modules
(http://drupal.org/project/userpoints_contrib) to extend the functionality of
the module to include point accumulation on page views or votes, upgrade roles
based on point balance, or purchase goods from your store.

This module is useful in providing an incentive for users to participate in
the site, and be more active.

This package provides the following Drupal modules:
* %{module_name}
* %{module_name}_rules
* %{module_name}_service (NOTE: Requires manual install of the services module)


%prep
%setup -qn %{module_name}

cp -p %{SOURCE1} .


%build
# Empty build section, nothing required


%install
rm -rf %{buildroot}
mkdir -p -m 0755 %{buildroot}%{drupal6_modules}/%{module_name}
cp -pr * %{buildroot}%{drupal6_modules}/%{module_name}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc *.txt
%{drupal6_modules}/%{module_name}
%exclude %{drupal6_modules}/%{module_name}/*.txt


%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Mar 22 2013 Shawn Iwinski <shawn.iwinski@gmail.com> 1.2-1
- Initial package
